<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- =============================================================      -->
<!--                                                                    -->
<!--  MODULE:    contentobject Portiko - list of listings               -->
<!--  VERSION:   2.3b                                                   -->
<!--  DATE:      March 03, 2004                                         -->
<!--  AUTHOR:    ckarkola                                               -->
<!--                                                                    -->
<!-- Copyright 2001 - 2004 Portiko, TU Dresden                          -->
<!--                                                                    -->
<!-- This stylesheet is free software; you can redistribute it and/or   -->
<!-- modify it under the terms of version 2.1 of                        -->
<!-- the GNU Lesser General Public License as published by the          -->
<!-- Free Software Foundation.                                          -->
<!--                                                                    -->
<!-- This stylesheet is distributed in the hope that it will be useful, -->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of     -->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.               -->
<!-- See the GNU Lesser General Public License for more details.        -->
<!--                                                                    -->
<!-- You should have received a copy of the GNU Lesser General Public   -->
<!-- License along with this stylesheet; if not, write to the           -->
<!-- Free Software Foundation, Inc., 59 Temple Place, Suite 330,        -->
<!-- Boston, MA  02111-1307 USA                                         -->
<!--                                                                    -->
<!-- You can contact Portiko Members by sending e-mail to               -->
<!-- portiko@brzrs2.bau.tu-dresden.de. Please include                   -->
<!-- the word 'PORTIKO' in the subject line. The Portiko home page is   -->
<!-- located at http://www.portiko.de.                                  -->
<!--                                                                    -->
<!-- =============================================================      -->
<xsl:stylesheet version="1.0" xmlns="http://www.w3.org/1999/xhtml" xmlns:pco="http://www.portiko.de/content/portiko" xmlns:pcoutil="http://www.portiko.de/content/portiko/utils" xmlns:vc="http://www.portiko.de/content/vcard" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output indent="no" method="html"/>
    <xsl:template match="/">
        <xsl:apply-templates/>
    </xsl:template>
    <!-- list of listings, Aufruf ueber chap_id=idx_listing -->
    <xsl:template name="list_of_listings">
        <ul>
            <xsl:for-each select="//pco:listing">
                <xsl:if test="pco:caption">
                    <li>
                        <a style="text-decoration:none">
                            <xsl:attribute name="href">
                                <xsl:value-of select="/pco:contentobject/@name"/>?chap_id=<xsl:choose>
                                    <xsl:when test="ancestor::pco:chapter">
                                        <xsl:value-of select="ancestor::pco:chapter/@id"/>
                                    </xsl:when>
                                    <xsl:when test="ancestor::pco:appendix">
                                        <xsl:value-of select="ancestor::pco:appendix/@id"/>
                                    </xsl:when>
                                </xsl:choose>
                                <xsl:if test="ancestor::pco:sect1">
                  &amp;sct_id=<xsl:value-of select="ancestor::pco:sect1/@id"/>
                                </xsl:if>#<xsl:value-of select="@id"/>
                            </xsl:attribute>
                            <!-- Anfang: Einfgung Sect1title mit/ohne Nummern -->
                            <xsl:choose>
                                <xsl:when test="/pco:contentobject/@numbering='yes'">
                                    <xsl:apply-templates mode="with_numbers" select="pco:caption"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:apply-templates select="pco:caption"/>
                                </xsl:otherwise>
                            </xsl:choose>
                            <!-- Ende: Einfgung Sect1title mit/ohne Nummern -->
                        </a>
                    </li>
                </xsl:if>
            </xsl:for-each>
        </ul>
    </xsl:template>
</xsl:stylesheet>
